Introduction

Snow Player is a lightweight, flexible and easy-to-use mediaplayer. It using Un4Seen bass.dll as audio decoder engine and DirectShow as video engine. Bass.dll license allow to use it free in non-commercial programs.

Thanks to all «Delphi Kingdom» authors.


General features

  • High quality digital audio playing (wav, mp3, mod, ogg, aiff)
  • Digital video playing (avi, mpeg, 3gp, divx, installed codecs required)
  • Streaming internet radio playing (ogg/mp3 streams)
  • Drag-and-Drop files and folders support
  • Associating supported file types with player
  • Hiding in tray
  • Pop-up window with track name
  • Multilanguage interface (EN, RU, FR, RO, LV)
  • "Favorite URL" hot button
  • Counter-Strike flood
  • CPU usage visualization
  • 8-band graphical equalizer
  • Automatic update thru internet
  • M3U playlist format support
  • ID3v1 tags support and editing
  • Track lyrics search using Google
  • IMDB movie description search
  • Fullscreen minibroswer
  • Animated cursor support


Tips and tricks

Video playback
You need to have appropriate decompressors installed to play videofiles. There are good video decompressors, collected under name "K-Lite Codec Pack" http://www.codecguide.com/download_kl.htm

Favorite «radiostation»

You can define your favorite internet radio URL to a button with earth globe.
Options -> Settings -> Additional -> Favorite radio url -> (for example): http://www.di.fm/mp3/trance.pls

Counter-Strike bindings
You can define a button in your Counter-Strike config, that will show to others trackname that player is now playing. It works as "say Artist - Title" command in CS, just player when switching to next track, saving Artist and Title in a config file, that could have been interpreted by CS engine. Add a lines to [Main] section into your player.ini file, using the next template:
CSUse=1
CSFormat=%h %t %n
CSHeader=say Music now:
CSFileName=C:\Counter-Strike 1.6\cstrike\snowplayer.cfg
CSUse=0|1 Turning off or on this feature (default: off).
CsFormat variable defines is what info will shown %h - line contains CSHeader variable; %t - current time; %n - trackname in format "Artist - Title". CSFileName defines CS config file for interpretation (it will be autocreated and managed by player). After player restart you could make next binding in Counter-Strike: «bind key "exec snowplayer.cfg"»
R0G3R: 10:22:51 Music Now: Anastasia - Left outside alone
(in example we have CS installed in "C:\Counter-Strike 1.6\" folder)

Lyrics search using Google / IMDB description search
Doubleclick on the field, where is info about current track is shown will open minibrowser window, that googles for a track lyrics. Usually 1st result url contains song lyrics. If active file have an '.avi' extension, minibrowser will search IMDB instead of google.


System requirements

System, minimal
  • CPU: 133 MHz or more
  • RAM: 32 Mb or more
  • HDD: less then 1 Mb

    Audio
  • Microsoft Windows 98, Me, 2000, NT, XP, 2003, Vista
  • DirectX-compatible soundcard
  • DirectX 7.0 or higher

    Video
  • Microsoft Windows 2000, NT, XP, 2003, Vista
  • 32+ Mb videocard with hardware accelerated DirectX 9
  • DirectX 9.0 or higher


Hotkey list

  • X - Play
  • C - Pause
  • V - Stop
  • B - Fast Forward
  • F - Full Screen
  • I - Show popup window
  • F3 - Playlist fast search
  • F9 - Show/Hide minibrowser
  • F11 - Show/Hide video window
  • Alt+3 - Edit ID3 tag in mp3 files


Support

«Snow Player»
R+ Studio
1999-2008

Please feel free to contact us:
http://randall.spb.ru/update/
snowplayers@yahoo.com